#include "EsoAcsammm_Header.hpp"
/* Copyright (C) 1991-2017 Free Software Foundation, Inc.
   This file is part of the GNU C Library.

   The GNU C Library is free software; you can redistribute it and/or
   modify it under the terms of the GNU Lesser General Public
   License as published by the Free Software Foundation; either
   version 2.1 of the License, or (at your option) any later version.

   The GNU C Library is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
   Lesser General Public License for more details.

   You should have received a copy of the GNU Lesser General Public
   License along with the GNU C Library; if not, see
   <http://www.gnu.org/licenses/>.  */
/* This header is separate from features.h so that the compiler can
   include it implicitly at the start of every compilation.  It must
   not itself include <features.h> or any other header that includes
   <features.h> because the implicit include comes before any feature
   test macros that may be defined in a source file before it first
   explicitly includes a system header.  GCC knows the name of this
   header in order to preinclude it.  */
/* glibc's intent is to support the IEC 559 math functionality, real
   and complex.  If the GCC (4.9 and later) predefined macros
   specifying compiler intent are available, use them to determine
   whether the overall intent is to support these features; otherwise,
   presume an older compiler has intent to support these features and
   define these macros by default.  */
/* wchar_t uses Unicode 10.0.0.  Version 10.0 of the Unicode Standard is
   synchronized with ISO/IEC 10646:2017, fifth edition, plus
   the following additions from Amendment 1 to the fifth edition:
   - 56 emoji characters
   - 285 hentaigana
   - 3 additional Zanabazar Square characters */
/* We do not support C11 <threads.h>.  */
// ++++++++++++++++++++++++++++++++++
// + Code generated by dcc 1.0      +
// ++++++++++++++++++++++++++++++++++
void a1_res(int bmode_1, double* yy, double* a1_yy, double* der_x, double* a1_der_x, double* x, double* a1_x, double* p, double* a1_p, int* condit, int* lock, int* prev, int& n_x, int& n_p, int& n_c)
#pragma ad indep x a1_x p a1_p a1_yy
#pragma ad dep yy a1_x a1_p
{
   int i_E=0;
   int i_C=0;
   int i__=0;
   int j__=0;
   int k__=0;
   int m__=0;
   int r_i=0;
   int r_j=0;
   int i_a=0;
   int i_b=0;
   int i_loop=0;
   int i__switch=0;
   int i__start=0;
   int i__end=0;
   int i__step=0;
   int while_end=0;
   int i_cont=0;
   int j_cont=0;
   int k_cont=0;
   double var_n_x=0;
   double a1_var_n_x=0;
   double var_Tin=0;
   double a1_var_Tin=0;
   double var_FbinMin=0;
   double a1_var_FbinMin=0;
   double var_FbinMax=0;
   double a1_var_FbinMax=0;
   double var_TwMin=0;
   double a1_var_TwMin=0;
   double var_TwMax=0;
   double a1_var_TwMax=0;
   double var_TK0=0;
   double a1_var_TK0=0;
   double var_b2=0;
   double a1_var_b2=0;
   double var_Fscal=0;
   double a1_var_Fscal=0;
   double var_MA=0;
   double a1_var_MA=0;
   double var_MB=0;
   double a1_var_MB=0;
   double var_MC=0;
   double a1_var_MC=0;
   double var_ME=0;
   double a1_var_ME=0;
   double var_MG=0;
   double a1_var_MG=0;
   double var_MP=0;
   double a1_var_MP=0;
   double var_k1=0;
   double a1_var_k1=0;
   double var_k2=0;
   double a1_var_k2=0;
   double var_k3=0;
   double a1_var_k3=0;
   double var_E1=0;
   double a1_var_E1=0;
   double var_E2=0;
   double a1_var_E2=0;
   double var_E3=0;
   double a1_var_E3=0;
   double var_DH1=0;
   double a1_var_DH1=0;
   double var_DH2=0;
   double a1_var_DH2=0;
   double var_DH3=0;
   double a1_var_DH3=0;
   double var_CP=0;
   double a1_var_CP=0;
   double var_cRevP=0;
   double a1_var_cRevP=0;
   double var_cRevE=0;
   double a1_var_cRevE=0;
   double var_Aref=0;
   double a1_var_Aref=0;
   double var_mref=0;
   double a1_var_mref=0;
   double var_U=0;
   double a1_var_U=0;
   double par_TwCur=0;
   double a1_par_TwCur=0;
   double par_FbinCur=0;
   double a1_par_FbinCur=0;
   double par_FainCur=0;
   double a1_par_FainCur=0;
   double par_FinalTime=0;
   double a1_par_FinalTime=0;
   double var_rhoA=0;
   double a1_var_rhoA=0;
   double der_var_rhoA=0;
   double a1_der_var_rhoA=0;
   double var_rhoB=0;
   double a1_var_rhoB=0;
   double der_var_rhoB=0;
   double a1_der_var_rhoB=0;
   double var_rhoC=0;
   double a1_var_rhoC=0;
   double der_var_rhoC=0;
   double a1_der_var_rhoC=0;
   double var_rhoE=0;
   double a1_var_rhoE=0;
   double der_var_rhoE=0;
   double a1_der_var_rhoE=0;
   double var_rhoG=0;
   double a1_var_rhoG=0;
   double der_var_rhoG=0;
   double a1_der_var_rhoG=0;
   double var_rhoP=0;
   double a1_var_rhoP=0;
   double der_var_rhoP=0;
   double a1_der_var_rhoP=0;
   double var_TR=0;
   double a1_var_TR=0;
   double der_var_TR=0;
   double a1_der_var_TR=0;
   double var_V=0;
   double a1_var_V=0;
   double der_var_V=0;
   double a1_der_var_V=0;
   double var_phi=0;
   double a1_var_phi=0;
   double der_var_phi=0;
   double a1_der_var_phi=0;
   double var_r1=0;
   double a1_var_r1=0;
   double der_var_r1=0;
   double a1_der_var_r1=0;
   double var_r2=0;
   double a1_var_r2=0;
   double der_var_r2=0;
   double a1_der_var_r2=0;
   double var_r3=0;
   double a1_var_r3=0;
   double der_var_r3=0;
   double a1_der_var_r3=0;
   double var_i_expr=0;
   double a1_var_i_expr=0;
   double var_div0=0;
   double a1_var_div0=0;
   double var_i_expr2=0;
   double a1_var_i_expr2=0;
   double var_i_expr3=0;
   double a1_var_i_expr3=0;
   double var_div1=0;
   double a1_var_div1=0;
   double var_i_expr5=0;
   double a1_var_i_expr5=0;
   double var_div4=0;
   double a1_var_div4=0;
   double var_i_expr7=0;
   double a1_var_i_expr7=0;
   double var_i_expr8=0;
   double a1_var_i_expr8=0;
   double var_div6=0;
   double a1_var_div6=0;
   double var_i_expr10=0;
   double a1_var_i_expr10=0;
   double var_i_expr11=0;
   double a1_var_i_expr11=0;
   double var_div9=0;
   double a1_var_div9=0;
   double var_div12=0;
   double a1_var_div12=0;
   double var_div13=0;
   double a1_var_div13=0;
   double var_i_expr15=0;
   double a1_var_i_expr15=0;
   double var_i_expr16=0;
   double a1_var_i_expr16=0;
   double var_div14=0;
   double a1_var_div14=0;
   double var_div17=0;
   double a1_var_div17=0;
   double var_i_expr19=0;
   double a1_var_i_expr19=0;
   double var_i_expr20=0;
   double a1_var_i_expr20=0;
   double var_div18=0;
   double a1_var_div18=0;
   double var_div21=0;
   double a1_var_div21=0;
   double var_i_expr23=0;
   double a1_var_i_expr23=0;
   double var_i_expr24=0;
   double a1_var_i_expr24=0;
   double var_div22=0;
   double a1_var_div22=0;
   double var_div25=0;
   double a1_var_div25=0;
   double var_i_expr27=0;
   double a1_var_i_expr27=0;
   double var_i_expr28=0;
   double a1_var_i_expr28=0;
   double var_div26=0;
   double a1_var_div26=0;
   double var_div29=0;
   double a1_var_div29=0;
   double var_div30=0;
   double a1_var_div30=0;
   double var_div31=0;
   double a1_var_div31=0;
   double var_i_expr33=0;
   double a1_var_i_expr33=0;
   double var_i_expr34=0;
   double a1_var_i_expr34=0;
   double var_div32=0;
   double a1_var_div32=0;
   double var_i_expr36=0;
   double a1_var_i_expr36=0;
   double var_div35=0;
   double a1_var_div35=0;
   double var_i_expr38=0;
   double a1_var_i_expr38=0;
   double var_div37=0;
   double a1_var_div37=0;
   double var_exp39=0;
   double a1_var_exp39=0;
   double var_i_expr41=0;
   double a1_var_i_expr41=0;
   double var_div40=0;
   double a1_var_div40=0;
   double var_exp42=0;
   double a1_var_exp42=0;
   double var_i_expr44=0;
   double a1_var_i_expr44=0;
   double var_div43=0;
   double a1_var_div43=0;
   double var_exp45=0;
   double a1_var_exp45=0;
   int i_i=0;
   int i_j=0;
   int i_z=0;
   double v1_0=0;
   double a1_v1_0=0;
   double v1_1=0;
   double a1_v1_1=0;
   double v1_2=0;
   double a1_v1_2=0;
   double v1_3=0;
   double a1_v1_3=0;
   double v1_4=0;
   double a1_v1_4=0;
   double v1_5=0;
   double a1_v1_5=0;
   double v1_6=0;
   double a1_v1_6=0;
   double v1_7=0;
   double a1_v1_7=0;
   double v1_8=0;
   double a1_v1_8=0;
   double v1_9=0;
   double a1_v1_9=0;
   double v1_10=0;
   double a1_v1_10=0;
   double v1_11=0;
   double a1_v1_11=0;
   double v1_12=0;
   double a1_v1_12=0;
   double v1_13=0;
   double a1_v1_13=0;
   double v1_14=0;
   double a1_v1_14=0;
   double v1_15=0;
   double a1_v1_15=0;
   double v1_16=0;
   double a1_v1_16=0;
   double v1_17=0;
   double a1_v1_17=0;
   double v1_18=0;
   double a1_v1_18=0;
   double v1_19=0;
   double a1_v1_19=0;
   double v1_20=0;
   double a1_v1_20=0;
   double v1_21=0;
   double a1_v1_21=0;
   double v1_22=0;
   double a1_v1_22=0;
   double v1_23=0;
   double a1_v1_23=0;
   double v1_24=0;
   double a1_v1_24=0;
   double v1_25=0;
   double a1_v1_25=0;
   double v1_26=0;
   double a1_v1_26=0;
   double v1_27=0;
   double a1_v1_27=0;
   double v1_28=0;
   double a1_v1_28=0;
   double v1_29=0;
   double a1_v1_29=0;
   double v1_30=0;
   double a1_v1_30=0;
   double v1_31=0;
   double a1_v1_31=0;
   double v1_32=0;
   double a1_v1_32=0;
   double v1_33=0;
   double a1_v1_33=0;
   int save_acs_cs_c=0;
   save_acs_cs_c=acs_cs_c;
   if (bmode_1==1) {
      // augmented forward section
      acs_cs[acs_cs_c]=0; acs_cs_c=acs_cs_c+1;
      acs_fds[acs_fds_c]=var_n_x; acs_fds_c=acs_fds_c+1; var_n_x=9;
      acs_fds[acs_fds_c]=var_Tin; acs_fds_c=acs_fds_c+1; var_Tin=35;
      acs_fds[acs_fds_c]=var_FbinMin; acs_fds_c=acs_fds_c+1; var_FbinMin=0;
      acs_fds[acs_fds_c]=var_FbinMax; acs_fds_c=acs_fds_c+1; var_FbinMax=5.784;
      acs_fds[acs_fds_c]=var_TwMin; acs_fds_c=acs_fds_c+1; var_TwMin=20;
      acs_fds[acs_fds_c]=var_TwMax; acs_fds_c=acs_fds_c+1; var_TwMax=100;
      acs_fds[acs_fds_c]=var_TK0; acs_fds_c=acs_fds_c+1; var_TK0=273.15;
      acs_fds[acs_fds_c]=var_b2; acs_fds_c=acs_fds_c+1; var_b2=6.6667;
      acs_fds[acs_fds_c]=var_Fscal; acs_fds_c=acs_fds_c+1; var_Fscal=1000;
      acs_fds[acs_fds_c]=var_MA; acs_fds_c=acs_fds_c+1; var_MA=100;
      acs_fds[acs_fds_c]=var_MB; acs_fds_c=acs_fds_c+1; var_MB=100;
      acs_fds[acs_fds_c]=var_MC; acs_fds_c=acs_fds_c+1; var_MC=200;
      acs_fds[acs_fds_c]=var_ME; acs_fds_c=acs_fds_c+1; var_ME=200;
      acs_fds[acs_fds_c]=var_MG; acs_fds_c=acs_fds_c+1; var_MG=300;
      acs_fds[acs_fds_c]=var_MP; acs_fds_c=acs_fds_c+1; var_MP=100;
      acs_fds[acs_fds_c]=var_k1; acs_fds_c=acs_fds_c+1; var_k1=1.6599e+06;
      acs_fds[acs_fds_c]=var_k2; acs_fds_c=acs_fds_c+1; var_k2=7.2117e+08;
      acs_fds[acs_fds_c]=var_k3; acs_fds_c=acs_fds_c+1; var_k3=2.6745e+12;
      acs_fds[acs_fds_c]=var_E1; acs_fds_c=acs_fds_c+1; var_E1=0-6666.7;
      acs_fds[acs_fds_c]=var_E2; acs_fds_c=acs_fds_c+1; var_E2=0-8333.3;
      acs_fds[acs_fds_c]=var_E3; acs_fds_c=acs_fds_c+1; var_E3=0-11111;
      acs_fds[acs_fds_c]=var_DH1; acs_fds_c=acs_fds_c+1; var_DH1=0-263.8;
      acs_fds[acs_fds_c]=var_DH2; acs_fds_c=acs_fds_c+1; var_DH2=0-158.3;
      acs_fds[acs_fds_c]=var_DH3; acs_fds_c=acs_fds_c+1; var_DH3=0-226.3;
      acs_fds[acs_fds_c]=var_CP; acs_fds_c=acs_fds_c+1; var_CP=4.184;
      acs_fds[acs_fds_c]=var_cRevP; acs_fds_c=acs_fds_c+1; var_cRevP=5554.1;
      acs_fds[acs_fds_c]=var_cRevE; acs_fds_c=acs_fds_c+1; var_cRevE=125.91;
      acs_fds[acs_fds_c]=var_Aref; acs_fds_c=acs_fds_c+1; var_Aref=9.2903;
      acs_fds[acs_fds_c]=var_mref; acs_fds_c=acs_fds_c+1; var_mref=2105.2;
      acs_fds[acs_fds_c]=var_U; acs_fds_c=acs_fds_c+1; var_U=0.23082;
      acs_fds[acs_fds_c]=par_TwCur; acs_fds_c=acs_fds_c+1; par_TwCur=p[0];
      acs_fds[acs_fds_c]=par_FbinCur; acs_fds_c=acs_fds_c+1; par_FbinCur=p[1];
      acs_fds[acs_fds_c]=par_FainCur; acs_fds_c=acs_fds_c+1; par_FainCur=p[2];
      acs_fds[acs_fds_c]=par_FinalTime; acs_fds_c=acs_fds_c+1; par_FinalTime=p[3];
      acs_fds[acs_fds_c]=var_rhoA; acs_fds_c=acs_fds_c+1; var_rhoA=x[0];
      acs_fds[acs_fds_c]=der_var_rhoA; acs_fds_c=acs_fds_c+1; der_var_rhoA=der_x[0];
      acs_fds[acs_fds_c]=var_rhoB; acs_fds_c=acs_fds_c+1; var_rhoB=x[1];
      acs_fds[acs_fds_c]=der_var_rhoB; acs_fds_c=acs_fds_c+1; der_var_rhoB=der_x[1];
      acs_fds[acs_fds_c]=var_rhoC; acs_fds_c=acs_fds_c+1; var_rhoC=x[2];
      acs_fds[acs_fds_c]=der_var_rhoC; acs_fds_c=acs_fds_c+1; der_var_rhoC=der_x[2];
      acs_fds[acs_fds_c]=var_rhoE; acs_fds_c=acs_fds_c+1; var_rhoE=x[3];
      acs_fds[acs_fds_c]=der_var_rhoE; acs_fds_c=acs_fds_c+1; der_var_rhoE=der_x[3];
      acs_fds[acs_fds_c]=var_rhoG; acs_fds_c=acs_fds_c+1; var_rhoG=x[4];
      acs_fds[acs_fds_c]=der_var_rhoG; acs_fds_c=acs_fds_c+1; der_var_rhoG=der_x[4];
      acs_fds[acs_fds_c]=var_rhoP; acs_fds_c=acs_fds_c+1; var_rhoP=x[5];
      acs_fds[acs_fds_c]=der_var_rhoP; acs_fds_c=acs_fds_c+1; der_var_rhoP=der_x[5];
      acs_fds[acs_fds_c]=var_TR; acs_fds_c=acs_fds_c+1; var_TR=x[6];
      acs_fds[acs_fds_c]=der_var_TR; acs_fds_c=acs_fds_c+1; der_var_TR=der_x[6];
      acs_fds[acs_fds_c]=var_V; acs_fds_c=acs_fds_c+1; var_V=x[7];
      acs_fds[acs_fds_c]=der_var_V; acs_fds_c=acs_fds_c+1; der_var_V=der_x[7];
      acs_fds[acs_fds_c]=var_phi; acs_fds_c=acs_fds_c+1; var_phi=x[8];
      acs_fds[acs_fds_c]=der_var_phi; acs_fds_c=acs_fds_c+1; der_var_phi=der_x[8];
      acs_fds[acs_fds_c]=var_r1; acs_fds_c=acs_fds_c+1; var_r1=x[9];
      acs_fds[acs_fds_c]=der_var_r1; acs_fds_c=acs_fds_c+1; der_var_r1=der_x[9];
      acs_fds[acs_fds_c]=var_r2; acs_fds_c=acs_fds_c+1; var_r2=x[10];
      acs_fds[acs_fds_c]=der_var_r2; acs_fds_c=acs_fds_c+1; der_var_r2=der_x[10];
      acs_fds[acs_fds_c]=var_r3; acs_fds_c=acs_fds_c+1; var_r3=x[11];
      acs_fds[acs_fds_c]=der_var_r3; acs_fds_c=acs_fds_c+1; der_var_r3=der_x[11];
      acs_fds[acs_fds_c]=var_i_expr; acs_fds_c=acs_fds_c+1; var_i_expr=(var_Fscal*var_V);
      bmode_1=2; // store inputs and run original code
      a1_acs_div(bmode_1,par_FainCur,a1_par_FainCur,var_i_expr,a1_var_i_expr,var_div0,a1_var_div0);
      acs_fds[acs_fds_c]=var_i_expr2; acs_fds_c=acs_fds_c+1; var_i_expr2=(par_FbinCur+par_FainCur);
      acs_fds[acs_fds_c]=var_i_expr3; acs_fds_c=acs_fds_c+1; var_i_expr3=(var_Fscal*var_V);
      bmode_1=2; // store inputs and run original code
      a1_acs_div(bmode_1,var_i_expr2,a1_var_i_expr2,var_i_expr3,a1_var_i_expr3,var_div1,a1_var_div1);
      acs_fds[acs_fds_c]=yy[i_E]; acs_fds_c=acs_fds_c+1; yy[i_E]=der_var_rhoA-(var_div0-var_rhoA*var_div1-var_k1*var_r1);
      acs_ids[acs_ids_c]=i_E; acs_ids_c=acs_ids_c+1; i_E=i_E+1;
      acs_fds[acs_fds_c]=var_i_expr5; acs_fds_c=acs_fds_c+1; var_i_expr5=(var_Fscal*var_V);
      bmode_1=2; // store inputs and run original code
      a1_acs_div(bmode_1,par_FbinCur,a1_par_FbinCur,var_i_expr5,a1_var_i_expr5,var_div4,a1_var_div4);
      acs_fds[acs_fds_c]=var_i_expr7; acs_fds_c=acs_fds_c+1; var_i_expr7=(par_FbinCur+par_FainCur);
      acs_fds[acs_fds_c]=var_i_expr8; acs_fds_c=acs_fds_c+1; var_i_expr8=(var_Fscal*var_V);
      bmode_1=2; // store inputs and run original code
      a1_acs_div(bmode_1,var_i_expr7,a1_var_i_expr7,var_i_expr8,a1_var_i_expr8,var_div6,a1_var_div6);
      acs_fds[acs_fds_c]=yy[i_E]; acs_fds_c=acs_fds_c+1; yy[i_E]=der_var_rhoB-(var_div4-var_rhoB*var_div6-var_k1*var_r1-var_k2*var_r2);
      acs_ids[acs_ids_c]=i_E; acs_ids_c=acs_ids_c+1; i_E=i_E+1;
      acs_fds[acs_fds_c]=var_i_expr10; acs_fds_c=acs_fds_c+1; var_i_expr10=(par_FbinCur+par_FainCur);
      acs_fds[acs_fds_c]=var_i_expr11; acs_fds_c=acs_fds_c+1; var_i_expr11=(var_Fscal*var_V);
      bmode_1=2; // store inputs and run original code
      a1_acs_div(bmode_1,var_i_expr10,a1_var_i_expr10,var_i_expr11,a1_var_i_expr11,var_div9,a1_var_div9);
      bmode_1=2; // store inputs and run original code
      a1_acs_div(bmode_1,var_MC,a1_var_MC,var_MA,a1_var_MA,var_div12,a1_var_div12);
      bmode_1=2; // store inputs and run original code
      a1_acs_div(bmode_1,var_MC,a1_var_MC,var_MB,a1_var_MB,var_div13,a1_var_div13);
      acs_fds[acs_fds_c]=yy[i_E]; acs_fds_c=acs_fds_c+1; yy[i_E]=der_var_rhoC-(0-var_rhoC*var_div9+var_div12*var_k1*var_r1-var_div13*var_k2*var_r2-var_k3*var_r3);
      acs_ids[acs_ids_c]=i_E; acs_ids_c=acs_ids_c+1; i_E=i_E+1;
      acs_fds[acs_fds_c]=var_i_expr15; acs_fds_c=acs_fds_c+1; var_i_expr15=(par_FbinCur+par_FainCur);
      acs_fds[acs_fds_c]=var_i_expr16; acs_fds_c=acs_fds_c+1; var_i_expr16=(var_Fscal*var_V);
      bmode_1=2; // store inputs and run original code
      a1_acs_div(bmode_1,var_i_expr15,a1_var_i_expr15,var_i_expr16,a1_var_i_expr16,var_div14,a1_var_div14);
      bmode_1=2; // store inputs and run original code
      a1_acs_div(bmode_1,var_ME,a1_var_ME,var_MB,a1_var_MB,var_div17,a1_var_div17);
      acs_fds[acs_fds_c]=yy[i_E]; acs_fds_c=acs_fds_c+1; yy[i_E]=der_var_rhoE-(0-var_rhoE*var_div14+var_div17*var_k2*var_r2);
      acs_ids[acs_ids_c]=i_E; acs_ids_c=acs_ids_c+1; i_E=i_E+1;
      acs_fds[acs_fds_c]=var_i_expr19; acs_fds_c=acs_fds_c+1; var_i_expr19=(par_FbinCur+par_FainCur);
      acs_fds[acs_fds_c]=var_i_expr20; acs_fds_c=acs_fds_c+1; var_i_expr20=(var_Fscal*var_V);
      bmode_1=2; // store inputs and run original code
      a1_acs_div(bmode_1,var_i_expr19,a1_var_i_expr19,var_i_expr20,a1_var_i_expr20,var_div18,a1_var_div18);
      bmode_1=2; // store inputs and run original code
      a1_acs_div(bmode_1,var_MG,a1_var_MG,var_MC,a1_var_MC,var_div21,a1_var_div21);
      acs_fds[acs_fds_c]=yy[i_E]; acs_fds_c=acs_fds_c+1; yy[i_E]=der_var_rhoG-(0-var_rhoG*var_div18+var_div21*var_k3*var_r3);
      acs_ids[acs_ids_c]=i_E; acs_ids_c=acs_ids_c+1; i_E=i_E+1;
      acs_fds[acs_fds_c]=var_i_expr23; acs_fds_c=acs_fds_c+1; var_i_expr23=(par_FbinCur+par_FainCur);
      acs_fds[acs_fds_c]=var_i_expr24; acs_fds_c=acs_fds_c+1; var_i_expr24=(var_Fscal*var_V);
      bmode_1=2; // store inputs and run original code
      a1_acs_div(bmode_1,var_i_expr23,a1_var_i_expr23,var_i_expr24,a1_var_i_expr24,var_div22,a1_var_div22);
      bmode_1=2; // store inputs and run original code
      a1_acs_div(bmode_1,var_MP,a1_var_MP,var_MC,a1_var_MC,var_div25,a1_var_div25);
      acs_fds[acs_fds_c]=yy[i_E]; acs_fds_c=acs_fds_c+1; yy[i_E]=der_var_rhoP-(0-var_rhoP*var_div22+var_k2*var_r2-var_div25*var_k3*var_r3);
      acs_ids[acs_ids_c]=i_E; acs_ids_c=acs_ids_c+1; i_E=i_E+1;
      acs_fds[acs_fds_c]=var_i_expr27; acs_fds_c=acs_fds_c+1; var_i_expr27=(var_Tin-var_TR);
      acs_fds[acs_fds_c]=var_i_expr28; acs_fds_c=acs_fds_c+1; var_i_expr28=(var_Fscal*var_V);
      bmode_1=2; // store inputs and run original code
      a1_acs_div(bmode_1,var_i_expr27,a1_var_i_expr27,var_i_expr28,a1_var_i_expr28,var_div26,a1_var_div26);
      bmode_1=2; // store inputs and run original code
      a1_acs_div(bmode_1,var_DH1,a1_var_DH1,var_CP,a1_var_CP,var_div29,a1_var_div29);
      bmode_1=2; // store inputs and run original code
      a1_acs_div(bmode_1,var_DH2,a1_var_DH2,var_CP,a1_var_CP,var_div30,a1_var_div30);
      bmode_1=2; // store inputs and run original code
      a1_acs_div(bmode_1,var_DH3,a1_var_DH3,var_CP,a1_var_CP,var_div31,a1_var_div31);
      acs_fds[acs_fds_c]=var_i_expr33; acs_fds_c=acs_fds_c+1; var_i_expr33=(var_U*var_Aref);
      acs_fds[acs_fds_c]=var_i_expr34; acs_fds_c=acs_fds_c+1; var_i_expr34=(var_CP*var_mref);
      bmode_1=2; // store inputs and run original code
      a1_acs_div(bmode_1,var_i_expr33,a1_var_i_expr33,var_i_expr34,a1_var_i_expr34,var_div32,a1_var_div32);
      acs_fds[acs_fds_c]=yy[i_E]; acs_fds_c=acs_fds_c+1; yy[i_E]=der_var_TR-((par_FbinCur+par_FainCur)*var_div26-var_div29*var_k1*var_r1-var_div30*var_k2*var_r2-var_div31*var_k3*var_r3-var_div32*(var_TR-par_TwCur));
      acs_ids[acs_ids_c]=i_E; acs_ids_c=acs_ids_c+1; i_E=i_E+1;
      acs_fds[acs_fds_c]=var_i_expr36; acs_fds_c=acs_fds_c+1; var_i_expr36=(par_FbinCur+par_FainCur);
      bmode_1=2; // store inputs and run original code
      a1_acs_div(bmode_1,var_i_expr36,a1_var_i_expr36,var_Fscal,a1_var_Fscal,var_div35,a1_var_div35);
      acs_fds[acs_fds_c]=yy[i_E]; acs_fds_c=acs_fds_c+1; yy[i_E]=der_var_V-(var_div35);
      acs_ids[acs_ids_c]=i_E; acs_ids_c=acs_ids_c+1; i_E=i_E+1;
      acs_fds[acs_fds_c]=yy[i_E]; acs_fds_c=acs_fds_c+1; yy[i_E]=der_var_phi-(var_rhoP*var_V);
      acs_ids[acs_ids_c]=i_E; acs_ids_c=acs_ids_c+1; i_E=i_E+1;
      acs_fds[acs_fds_c]=var_i_expr38; acs_fds_c=acs_fds_c+1; var_i_expr38=(var_TR+var_TK0);
      bmode_1=2; // store inputs and run original code
      a1_acs_div(bmode_1,var_E1,a1_var_E1,var_i_expr38,a1_var_i_expr38,var_div37,a1_var_div37);
      bmode_1=2; // store inputs and run original code
      a1_acs_exp(bmode_1,var_div37,a1_var_div37,var_exp39,a1_var_exp39);
      acs_fds[acs_fds_c]=yy[i_E]; acs_fds_c=acs_fds_c+1; yy[i_E]=var_r1-(var_exp39*var_rhoA*var_rhoB);
      acs_ids[acs_ids_c]=i_E; acs_ids_c=acs_ids_c+1; i_E=i_E+1;
      acs_fds[acs_fds_c]=var_i_expr41; acs_fds_c=acs_fds_c+1; var_i_expr41=(var_TR+var_TK0);
      bmode_1=2; // store inputs and run original code
      a1_acs_div(bmode_1,var_E2,a1_var_E2,var_i_expr41,a1_var_i_expr41,var_div40,a1_var_div40);
      bmode_1=2; // store inputs and run original code
      a1_acs_exp(bmode_1,var_div40,a1_var_div40,var_exp42,a1_var_exp42);
      acs_fds[acs_fds_c]=yy[i_E]; acs_fds_c=acs_fds_c+1; yy[i_E]=var_r2-(var_exp42*var_rhoB*var_rhoC);
      acs_ids[acs_ids_c]=i_E; acs_ids_c=acs_ids_c+1; i_E=i_E+1;
      acs_fds[acs_fds_c]=var_i_expr44; acs_fds_c=acs_fds_c+1; var_i_expr44=(var_TR+var_TK0);
      bmode_1=2; // store inputs and run original code
      a1_acs_div(bmode_1,var_E3,a1_var_E3,var_i_expr44,a1_var_i_expr44,var_div43,a1_var_div43);
      bmode_1=2; // store inputs and run original code
      a1_acs_exp(bmode_1,var_div43,a1_var_div43,var_exp45,a1_var_exp45);
      acs_fds[acs_fds_c]=yy[i_E]; acs_fds_c=acs_fds_c+1; yy[i_E]=var_r3-(var_exp45*var_rhoC*var_rhoP);
      acs_ids[acs_ids_c]=i_E; acs_ids_c=acs_ids_c+1; i_E=i_E+1;
      acs_ids[acs_ids_c]=n_c; acs_ids_c=acs_ids_c+1; n_c=i_C;
      // For the case you need the actual function value at the end of the forward section, use this mode for storing it.
      // reverse section
      while (acs_cs_c>save_acs_cs_c) {
            acs_cs_c=acs_cs_c-1;
            if (acs_cs[acs_cs_c]==0) {
              acs_ids_c=acs_ids_c-1; n_c=acs_ids[acs_ids_c];
              acs_ids_c=acs_ids_c-1; i_E=acs_ids[acs_ids_c];
              acs_fds_c=acs_fds_c-1; yy[i_E]=acs_fds[acs_fds_c];
              v1_0=var_r3;
              v1_1=var_exp45;
              v1_2=var_rhoC;
              v1_3=v1_1*v1_2;
              v1_4=var_rhoP;
              v1_5=v1_3*v1_4;
              v1_6=v1_5;
              v1_7=v1_0-v1_6;
              a1_v1_7=a1_yy[i_E]; a1_yy[i_E]=0;
              a1_v1_0=a1_v1_7; a1_v1_6=0-a1_v1_7;
              a1_v1_5=a1_v1_6;
              a1_v1_3=v1_4*a1_v1_5; a1_v1_4=v1_3*a1_v1_5;
              a1_var_rhoP=a1_var_rhoP+a1_v1_4;
              a1_v1_1=v1_2*a1_v1_3; a1_v1_2=v1_1*a1_v1_3;
              a1_var_rhoC=a1_var_rhoC+a1_v1_2;
              a1_var_exp45=a1_var_exp45+a1_v1_1;
              a1_var_r3=a1_var_r3+a1_v1_0;
              bmode_1=1; // restore and joint reversal
          a1_acs_exp(bmode_1,var_div43,a1_var_div43,var_exp45,a1_var_exp45);
              bmode_1=1; // restore and joint reversal
          a1_acs_div(bmode_1,var_E3,a1_var_E3,var_i_expr44,a1_var_i_expr44,var_div43,a1_var_div43);
              acs_fds_c=acs_fds_c-1; var_i_expr44=acs_fds[acs_fds_c];
              v1_0=var_TR;
              v1_1=var_TK0;
              v1_2=v1_0+v1_1;
              v1_3=v1_2;
              a1_v1_3=a1_var_i_expr44; a1_var_i_expr44=0;
              a1_v1_2=a1_v1_3;
              a1_v1_0=a1_v1_2; a1_v1_1=a1_v1_2;
              a1_var_TK0=a1_var_TK0+a1_v1_1;
              a1_var_TR=a1_var_TR+a1_v1_0;
              acs_ids_c=acs_ids_c-1; i_E=acs_ids[acs_ids_c];
              acs_fds_c=acs_fds_c-1; yy[i_E]=acs_fds[acs_fds_c];
              v1_0=var_r2;
              v1_1=var_exp42;
              v1_2=var_rhoB;
              v1_3=v1_1*v1_2;
              v1_4=var_rhoC;
              v1_5=v1_3*v1_4;
              v1_6=v1_5;
              v1_7=v1_0-v1_6;
              a1_v1_7=a1_yy[i_E]; a1_yy[i_E]=0;
              a1_v1_0=a1_v1_7; a1_v1_6=0-a1_v1_7;
              a1_v1_5=a1_v1_6;
              a1_v1_3=v1_4*a1_v1_5; a1_v1_4=v1_3*a1_v1_5;
              a1_var_rhoC=a1_var_rhoC+a1_v1_4;
              a1_v1_1=v1_2*a1_v1_3; a1_v1_2=v1_1*a1_v1_3;
              a1_var_rhoB=a1_var_rhoB+a1_v1_2;
              a1_var_exp42=a1_var_exp42+a1_v1_1;
              a1_var_r2=a1_var_r2+a1_v1_0;
              bmode_1=1; // restore and joint reversal
          a1_acs_exp(bmode_1,var_div40,a1_var_div40,var_exp42,a1_var_exp42);
              bmode_1=1; // restore and joint reversal
          a1_acs_div(bmode_1,var_E2,a1_var_E2,var_i_expr41,a1_var_i_expr41,var_div40,a1_var_div40);
              acs_fds_c=acs_fds_c-1; var_i_expr41=acs_fds[acs_fds_c];
              v1_0=var_TR;
              v1_1=var_TK0;
              v1_2=v1_0+v1_1;
              v1_3=v1_2;
              a1_v1_3=a1_var_i_expr41; a1_var_i_expr41=0;
              a1_v1_2=a1_v1_3;
              a1_v1_0=a1_v1_2; a1_v1_1=a1_v1_2;
              a1_var_TK0=a1_var_TK0+a1_v1_1;
              a1_var_TR=a1_var_TR+a1_v1_0;
              acs_ids_c=acs_ids_c-1; i_E=acs_ids[acs_ids_c];
              acs_fds_c=acs_fds_c-1; yy[i_E]=acs_fds[acs_fds_c];
              v1_0=var_r1;
              v1_1=var_exp39;
              v1_2=var_rhoA;
              v1_3=v1_1*v1_2;
              v1_4=var_rhoB;
              v1_5=v1_3*v1_4;
              v1_6=v1_5;
              v1_7=v1_0-v1_6;
              a1_v1_7=a1_yy[i_E]; a1_yy[i_E]=0;
              a1_v1_0=a1_v1_7; a1_v1_6=0-a1_v1_7;
              a1_v1_5=a1_v1_6;
              a1_v1_3=v1_4*a1_v1_5; a1_v1_4=v1_3*a1_v1_5;
              a1_var_rhoB=a1_var_rhoB+a1_v1_4;
              a1_v1_1=v1_2*a1_v1_3; a1_v1_2=v1_1*a1_v1_3;
              a1_var_rhoA=a1_var_rhoA+a1_v1_2;
              a1_var_exp39=a1_var_exp39+a1_v1_1;
              a1_var_r1=a1_var_r1+a1_v1_0;
              bmode_1=1; // restore and joint reversal
          a1_acs_exp(bmode_1,var_div37,a1_var_div37,var_exp39,a1_var_exp39);
              bmode_1=1; // restore and joint reversal
          a1_acs_div(bmode_1,var_E1,a1_var_E1,var_i_expr38,a1_var_i_expr38,var_div37,a1_var_div37);
              acs_fds_c=acs_fds_c-1; var_i_expr38=acs_fds[acs_fds_c];
              v1_0=var_TR;
              v1_1=var_TK0;
              v1_2=v1_0+v1_1;
              v1_3=v1_2;
              a1_v1_3=a1_var_i_expr38; a1_var_i_expr38=0;
              a1_v1_2=a1_v1_3;
              a1_v1_0=a1_v1_2; a1_v1_1=a1_v1_2;
              a1_var_TK0=a1_var_TK0+a1_v1_1;
              a1_var_TR=a1_var_TR+a1_v1_0;
              acs_ids_c=acs_ids_c-1; i_E=acs_ids[acs_ids_c];
              acs_fds_c=acs_fds_c-1; yy[i_E]=acs_fds[acs_fds_c];
              v1_0=der_var_phi;
              v1_1=var_rhoP;
              v1_2=var_V;
              v1_3=v1_1*v1_2;
              v1_4=v1_3;
              v1_5=v1_0-v1_4;
              a1_v1_5=a1_yy[i_E]; a1_yy[i_E]=0;
              a1_v1_0=a1_v1_5; a1_v1_4=0-a1_v1_5;
              a1_v1_3=a1_v1_4;
              a1_v1_1=v1_2*a1_v1_3; a1_v1_2=v1_1*a1_v1_3;
              a1_var_V=a1_var_V+a1_v1_2;
              a1_var_rhoP=a1_var_rhoP+a1_v1_1;
              a1_der_var_phi=a1_der_var_phi+a1_v1_0;
              acs_ids_c=acs_ids_c-1; i_E=acs_ids[acs_ids_c];
              acs_fds_c=acs_fds_c-1; yy[i_E]=acs_fds[acs_fds_c];
              v1_0=der_var_V;
              v1_1=var_div35;
              v1_2=v1_1;
              v1_3=v1_0-v1_2;
              a1_v1_3=a1_yy[i_E]; a1_yy[i_E]=0;
              a1_v1_0=a1_v1_3; a1_v1_2=0-a1_v1_3;
              a1_v1_1=a1_v1_2;
              a1_var_div35=a1_var_div35+a1_v1_1;
              a1_der_var_V=a1_der_var_V+a1_v1_0;
              bmode_1=1; // restore and joint reversal
          a1_acs_div(bmode_1,var_i_expr36,a1_var_i_expr36,var_Fscal,a1_var_Fscal,var_div35,a1_var_div35);
              acs_fds_c=acs_fds_c-1; var_i_expr36=acs_fds[acs_fds_c];
              v1_0=par_FbinCur;
              v1_1=par_FainCur;
              v1_2=v1_0+v1_1;
              v1_3=v1_2;
              a1_v1_3=a1_var_i_expr36; a1_var_i_expr36=0;
              a1_v1_2=a1_v1_3;
              a1_v1_0=a1_v1_2; a1_v1_1=a1_v1_2;
              a1_par_FainCur=a1_par_FainCur+a1_v1_1;
              a1_par_FbinCur=a1_par_FbinCur+a1_v1_0;
              acs_ids_c=acs_ids_c-1; i_E=acs_ids[acs_ids_c];
              acs_fds_c=acs_fds_c-1; yy[i_E]=acs_fds[acs_fds_c];
              v1_0=der_var_TR;
              v1_1=par_FbinCur;
              v1_2=par_FainCur;
              v1_3=v1_1+v1_2;
              v1_4=v1_3;
              v1_5=var_div26;
              v1_6=v1_4*v1_5;
              v1_7=var_div29;
              v1_8=var_k1;
              v1_9=v1_7*v1_8;
              v1_10=var_r1;
              v1_11=v1_9*v1_10;
              v1_12=v1_6-v1_11;
              v1_13=var_div30;
              v1_14=var_k2;
              v1_15=v1_13*v1_14;
              v1_16=var_r2;
              v1_17=v1_15*v1_16;
              v1_18=v1_12-v1_17;
              v1_19=var_div31;
              v1_20=var_k3;
              v1_21=v1_19*v1_20;
              v1_22=var_r3;
              v1_23=v1_21*v1_22;
              v1_24=v1_18-v1_23;
              v1_25=var_div32;
              v1_26=var_TR;
              v1_27=par_TwCur;
              v1_28=v1_26-v1_27;
              v1_29=v1_28;
              v1_30=v1_25*v1_29;
              v1_31=v1_24-v1_30;
              v1_32=v1_31;
              v1_33=v1_0-v1_32;
              a1_v1_33=a1_yy[i_E]; a1_yy[i_E]=0;
              a1_v1_0=a1_v1_33; a1_v1_32=0-a1_v1_33;
              a1_v1_31=a1_v1_32;
              a1_v1_24=a1_v1_31; a1_v1_30=0-a1_v1_31;
              a1_v1_25=v1_29*a1_v1_30; a1_v1_29=v1_25*a1_v1_30;
              a1_v1_28=a1_v1_29;
              a1_v1_26=a1_v1_28; a1_v1_27=0-a1_v1_28;
              a1_par_TwCur=a1_par_TwCur+a1_v1_27;
              a1_var_TR=a1_var_TR+a1_v1_26;
              a1_var_div32=a1_var_div32+a1_v1_25;
              a1_v1_18=a1_v1_24; a1_v1_23=0-a1_v1_24;
              a1_v1_21=v1_22*a1_v1_23; a1_v1_22=v1_21*a1_v1_23;
              a1_var_r3=a1_var_r3+a1_v1_22;
              a1_v1_19=v1_20*a1_v1_21; a1_v1_20=v1_19*a1_v1_21;
              a1_var_k3=a1_var_k3+a1_v1_20;
              a1_var_div31=a1_var_div31+a1_v1_19;
              a1_v1_12=a1_v1_18; a1_v1_17=0-a1_v1_18;
              a1_v1_15=v1_16*a1_v1_17; a1_v1_16=v1_15*a1_v1_17;
              a1_var_r2=a1_var_r2+a1_v1_16;
              a1_v1_13=v1_14*a1_v1_15; a1_v1_14=v1_13*a1_v1_15;
              a1_var_k2=a1_var_k2+a1_v1_14;
              a1_var_div30=a1_var_div30+a1_v1_13;
              a1_v1_6=a1_v1_12; a1_v1_11=0-a1_v1_12;
              a1_v1_9=v1_10*a1_v1_11; a1_v1_10=v1_9*a1_v1_11;
              a1_var_r1=a1_var_r1+a1_v1_10;
              a1_v1_7=v1_8*a1_v1_9; a1_v1_8=v1_7*a1_v1_9;
              a1_var_k1=a1_var_k1+a1_v1_8;
              a1_var_div29=a1_var_div29+a1_v1_7;
              a1_v1_4=v1_5*a1_v1_6; a1_v1_5=v1_4*a1_v1_6;
              a1_var_div26=a1_var_div26+a1_v1_5;
              a1_v1_3=a1_v1_4;
              a1_v1_1=a1_v1_3; a1_v1_2=a1_v1_3;
              a1_par_FainCur=a1_par_FainCur+a1_v1_2;
              a1_par_FbinCur=a1_par_FbinCur+a1_v1_1;
              a1_der_var_TR=a1_der_var_TR+a1_v1_0;
              bmode_1=1; // restore and joint reversal
          a1_acs_div(bmode_1,var_i_expr33,a1_var_i_expr33,var_i_expr34,a1_var_i_expr34,var_div32,a1_var_div32);
              acs_fds_c=acs_fds_c-1; var_i_expr34=acs_fds[acs_fds_c];
              v1_0=var_CP;
              v1_1=var_mref;
              v1_2=v1_0*v1_1;
              v1_3=v1_2;
              a1_v1_3=a1_var_i_expr34; a1_var_i_expr34=0;
              a1_v1_2=a1_v1_3;
              a1_v1_0=v1_1*a1_v1_2; a1_v1_1=v1_0*a1_v1_2;
              a1_var_mref=a1_var_mref+a1_v1_1;
              a1_var_CP=a1_var_CP+a1_v1_0;
              acs_fds_c=acs_fds_c-1; var_i_expr33=acs_fds[acs_fds_c];
              v1_0=var_U;
              v1_1=var_Aref;
              v1_2=v1_0*v1_1;
              v1_3=v1_2;
              a1_v1_3=a1_var_i_expr33; a1_var_i_expr33=0;
              a1_v1_2=a1_v1_3;
              a1_v1_0=v1_1*a1_v1_2; a1_v1_1=v1_0*a1_v1_2;
              a1_var_Aref=a1_var_Aref+a1_v1_1;
              a1_var_U=a1_var_U+a1_v1_0;
              bmode_1=1; // restore and joint reversal
          a1_acs_div(bmode_1,var_DH3,a1_var_DH3,var_CP,a1_var_CP,var_div31,a1_var_div31);
              bmode_1=1; // restore and joint reversal
          a1_acs_div(bmode_1,var_DH2,a1_var_DH2,var_CP,a1_var_CP,var_div30,a1_var_div30);
              bmode_1=1; // restore and joint reversal
          a1_acs_div(bmode_1,var_DH1,a1_var_DH1,var_CP,a1_var_CP,var_div29,a1_var_div29);
              bmode_1=1; // restore and joint reversal
          a1_acs_div(bmode_1,var_i_expr27,a1_var_i_expr27,var_i_expr28,a1_var_i_expr28,var_div26,a1_var_div26);
              acs_fds_c=acs_fds_c-1; var_i_expr28=acs_fds[acs_fds_c];
              v1_0=var_Fscal;
              v1_1=var_V;
              v1_2=v1_0*v1_1;
              v1_3=v1_2;
              a1_v1_3=a1_var_i_expr28; a1_var_i_expr28=0;
              a1_v1_2=a1_v1_3;
              a1_v1_0=v1_1*a1_v1_2; a1_v1_1=v1_0*a1_v1_2;
              a1_var_V=a1_var_V+a1_v1_1;
              a1_var_Fscal=a1_var_Fscal+a1_v1_0;
              acs_fds_c=acs_fds_c-1; var_i_expr27=acs_fds[acs_fds_c];
              v1_0=var_Tin;
              v1_1=var_TR;
              v1_2=v1_0-v1_1;
              v1_3=v1_2;
              a1_v1_3=a1_var_i_expr27; a1_var_i_expr27=0;
              a1_v1_2=a1_v1_3;
              a1_v1_0=a1_v1_2; a1_v1_1=0-a1_v1_2;
              a1_var_TR=a1_var_TR+a1_v1_1;
              a1_var_Tin=a1_var_Tin+a1_v1_0;
              acs_ids_c=acs_ids_c-1; i_E=acs_ids[acs_ids_c];
              acs_fds_c=acs_fds_c-1; yy[i_E]=acs_fds[acs_fds_c];
              v1_0=der_var_rhoP;
              v1_1=var_rhoP;
              v1_2=var_div22;
              v1_3=v1_1*v1_2;
              v1_4=-v1_3;
              v1_5=var_k2;
              v1_6=var_r2;
              v1_7=v1_5*v1_6;
              v1_8=v1_4+v1_7;
              v1_9=var_div25;
              v1_10=var_k3;
              v1_11=v1_9*v1_10;
              v1_12=var_r3;
              v1_13=v1_11*v1_12;
              v1_14=v1_8-v1_13;
              v1_15=v1_14;
              v1_16=v1_0-v1_15;
              a1_v1_16=a1_yy[i_E]; a1_yy[i_E]=0;
              a1_v1_0=a1_v1_16; a1_v1_15=0-a1_v1_16;
              a1_v1_14=a1_v1_15;
              a1_v1_8=a1_v1_14; a1_v1_13=0-a1_v1_14;
              a1_v1_11=v1_12*a1_v1_13; a1_v1_12=v1_11*a1_v1_13;
              a1_var_r3=a1_var_r3+a1_v1_12;
              a1_v1_9=v1_10*a1_v1_11; a1_v1_10=v1_9*a1_v1_11;
              a1_var_k3=a1_var_k3+a1_v1_10;
              a1_var_div25=a1_var_div25+a1_v1_9;
              a1_v1_4=a1_v1_8; a1_v1_7=a1_v1_8;
              a1_v1_5=v1_6*a1_v1_7; a1_v1_6=v1_5*a1_v1_7;
              a1_var_r2=a1_var_r2+a1_v1_6;
              a1_var_k2=a1_var_k2+a1_v1_5;
              a1_v1_3=-a1_v1_4;
              a1_v1_1=v1_2*a1_v1_3; a1_v1_2=v1_1*a1_v1_3;
              a1_var_div22=a1_var_div22+a1_v1_2;
              a1_var_rhoP=a1_var_rhoP+a1_v1_1;
              a1_der_var_rhoP=a1_der_var_rhoP+a1_v1_0;
              bmode_1=1; // restore and joint reversal
          a1_acs_div(bmode_1,var_MP,a1_var_MP,var_MC,a1_var_MC,var_div25,a1_var_div25);
              bmode_1=1; // restore and joint reversal
          a1_acs_div(bmode_1,var_i_expr23,a1_var_i_expr23,var_i_expr24,a1_var_i_expr24,var_div22,a1_var_div22);
              acs_fds_c=acs_fds_c-1; var_i_expr24=acs_fds[acs_fds_c];
              v1_0=var_Fscal;
              v1_1=var_V;
              v1_2=v1_0*v1_1;
              v1_3=v1_2;
              a1_v1_3=a1_var_i_expr24; a1_var_i_expr24=0;
              a1_v1_2=a1_v1_3;
              a1_v1_0=v1_1*a1_v1_2; a1_v1_1=v1_0*a1_v1_2;
              a1_var_V=a1_var_V+a1_v1_1;
              a1_var_Fscal=a1_var_Fscal+a1_v1_0;
              acs_fds_c=acs_fds_c-1; var_i_expr23=acs_fds[acs_fds_c];
              v1_0=par_FbinCur;
              v1_1=par_FainCur;
              v1_2=v1_0+v1_1;
              v1_3=v1_2;
              a1_v1_3=a1_var_i_expr23; a1_var_i_expr23=0;
              a1_v1_2=a1_v1_3;
              a1_v1_0=a1_v1_2; a1_v1_1=a1_v1_2;
              a1_par_FainCur=a1_par_FainCur+a1_v1_1;
              a1_par_FbinCur=a1_par_FbinCur+a1_v1_0;
              acs_ids_c=acs_ids_c-1; i_E=acs_ids[acs_ids_c];
              acs_fds_c=acs_fds_c-1; yy[i_E]=acs_fds[acs_fds_c];
              v1_0=der_var_rhoG;
              v1_1=var_rhoG;
              v1_2=var_div18;
              v1_3=v1_1*v1_2;
              v1_4=-v1_3;
              v1_5=var_div21;
              v1_6=var_k3;
              v1_7=v1_5*v1_6;
              v1_8=var_r3;
              v1_9=v1_7*v1_8;
              v1_10=v1_4+v1_9;
              v1_11=v1_10;
              v1_12=v1_0-v1_11;
              a1_v1_12=a1_yy[i_E]; a1_yy[i_E]=0;
              a1_v1_0=a1_v1_12; a1_v1_11=0-a1_v1_12;
              a1_v1_10=a1_v1_11;
              a1_v1_4=a1_v1_10; a1_v1_9=a1_v1_10;
              a1_v1_7=v1_8*a1_v1_9; a1_v1_8=v1_7*a1_v1_9;
              a1_var_r3=a1_var_r3+a1_v1_8;
              a1_v1_5=v1_6*a1_v1_7; a1_v1_6=v1_5*a1_v1_7;
              a1_var_k3=a1_var_k3+a1_v1_6;
              a1_var_div21=a1_var_div21+a1_v1_5;
              a1_v1_3=-a1_v1_4;
              a1_v1_1=v1_2*a1_v1_3; a1_v1_2=v1_1*a1_v1_3;
              a1_var_div18=a1_var_div18+a1_v1_2;
              a1_var_rhoG=a1_var_rhoG+a1_v1_1;
              a1_der_var_rhoG=a1_der_var_rhoG+a1_v1_0;
              bmode_1=1; // restore and joint reversal
          a1_acs_div(bmode_1,var_MG,a1_var_MG,var_MC,a1_var_MC,var_div21,a1_var_div21);
              bmode_1=1; // restore and joint reversal
          a1_acs_div(bmode_1,var_i_expr19,a1_var_i_expr19,var_i_expr20,a1_var_i_expr20,var_div18,a1_var_div18);
              acs_fds_c=acs_fds_c-1; var_i_expr20=acs_fds[acs_fds_c];
              v1_0=var_Fscal;
              v1_1=var_V;
              v1_2=v1_0*v1_1;
              v1_3=v1_2;
              a1_v1_3=a1_var_i_expr20; a1_var_i_expr20=0;
              a1_v1_2=a1_v1_3;
              a1_v1_0=v1_1*a1_v1_2; a1_v1_1=v1_0*a1_v1_2;
              a1_var_V=a1_var_V+a1_v1_1;
              a1_var_Fscal=a1_var_Fscal+a1_v1_0;
              acs_fds_c=acs_fds_c-1; var_i_expr19=acs_fds[acs_fds_c];
              v1_0=par_FbinCur;
              v1_1=par_FainCur;
              v1_2=v1_0+v1_1;
              v1_3=v1_2;
              a1_v1_3=a1_var_i_expr19; a1_var_i_expr19=0;
              a1_v1_2=a1_v1_3;
              a1_v1_0=a1_v1_2; a1_v1_1=a1_v1_2;
              a1_par_FainCur=a1_par_FainCur+a1_v1_1;
              a1_par_FbinCur=a1_par_FbinCur+a1_v1_0;
              acs_ids_c=acs_ids_c-1; i_E=acs_ids[acs_ids_c];
              acs_fds_c=acs_fds_c-1; yy[i_E]=acs_fds[acs_fds_c];
              v1_0=der_var_rhoE;
              v1_1=var_rhoE;
              v1_2=var_div14;
              v1_3=v1_1*v1_2;
              v1_4=-v1_3;
              v1_5=var_div17;
              v1_6=var_k2;
              v1_7=v1_5*v1_6;
              v1_8=var_r2;
              v1_9=v1_7*v1_8;
              v1_10=v1_4+v1_9;
              v1_11=v1_10;
              v1_12=v1_0-v1_11;
              a1_v1_12=a1_yy[i_E]; a1_yy[i_E]=0;
              a1_v1_0=a1_v1_12; a1_v1_11=0-a1_v1_12;
              a1_v1_10=a1_v1_11;
              a1_v1_4=a1_v1_10; a1_v1_9=a1_v1_10;
              a1_v1_7=v1_8*a1_v1_9; a1_v1_8=v1_7*a1_v1_9;
              a1_var_r2=a1_var_r2+a1_v1_8;
              a1_v1_5=v1_6*a1_v1_7; a1_v1_6=v1_5*a1_v1_7;
              a1_var_k2=a1_var_k2+a1_v1_6;
              a1_var_div17=a1_var_div17+a1_v1_5;
              a1_v1_3=-a1_v1_4;
              a1_v1_1=v1_2*a1_v1_3; a1_v1_2=v1_1*a1_v1_3;
              a1_var_div14=a1_var_div14+a1_v1_2;
              a1_var_rhoE=a1_var_rhoE+a1_v1_1;
              a1_der_var_rhoE=a1_der_var_rhoE+a1_v1_0;
              bmode_1=1; // restore and joint reversal
          a1_acs_div(bmode_1,var_ME,a1_var_ME,var_MB,a1_var_MB,var_div17,a1_var_div17);
              bmode_1=1; // restore and joint reversal
          a1_acs_div(bmode_1,var_i_expr15,a1_var_i_expr15,var_i_expr16,a1_var_i_expr16,var_div14,a1_var_div14);
              acs_fds_c=acs_fds_c-1; var_i_expr16=acs_fds[acs_fds_c];
              v1_0=var_Fscal;
              v1_1=var_V;
              v1_2=v1_0*v1_1;
              v1_3=v1_2;
              a1_v1_3=a1_var_i_expr16; a1_var_i_expr16=0;
              a1_v1_2=a1_v1_3;
              a1_v1_0=v1_1*a1_v1_2; a1_v1_1=v1_0*a1_v1_2;
              a1_var_V=a1_var_V+a1_v1_1;
              a1_var_Fscal=a1_var_Fscal+a1_v1_0;
              acs_fds_c=acs_fds_c-1; var_i_expr15=acs_fds[acs_fds_c];
              v1_0=par_FbinCur;
              v1_1=par_FainCur;
              v1_2=v1_0+v1_1;
              v1_3=v1_2;
              a1_v1_3=a1_var_i_expr15; a1_var_i_expr15=0;
              a1_v1_2=a1_v1_3;
              a1_v1_0=a1_v1_2; a1_v1_1=a1_v1_2;
              a1_par_FainCur=a1_par_FainCur+a1_v1_1;
              a1_par_FbinCur=a1_par_FbinCur+a1_v1_0;
              acs_ids_c=acs_ids_c-1; i_E=acs_ids[acs_ids_c];
              acs_fds_c=acs_fds_c-1; yy[i_E]=acs_fds[acs_fds_c];
              v1_0=der_var_rhoC;
              v1_1=var_rhoC;
              v1_2=var_div9;
              v1_3=v1_1*v1_2;
              v1_4=-v1_3;
              v1_5=var_div12;
              v1_6=var_k1;
              v1_7=v1_5*v1_6;
              v1_8=var_r1;
              v1_9=v1_7*v1_8;
              v1_10=v1_4+v1_9;
              v1_11=var_div13;
              v1_12=var_k2;
              v1_13=v1_11*v1_12;
              v1_14=var_r2;
              v1_15=v1_13*v1_14;
              v1_16=v1_10-v1_15;
              v1_17=var_k3;
              v1_18=var_r3;
              v1_19=v1_17*v1_18;
              v1_20=v1_16-v1_19;
              v1_21=v1_20;
              v1_22=v1_0-v1_21;
              a1_v1_22=a1_yy[i_E]; a1_yy[i_E]=0;
              a1_v1_0=a1_v1_22; a1_v1_21=0-a1_v1_22;
              a1_v1_20=a1_v1_21;
              a1_v1_16=a1_v1_20; a1_v1_19=0-a1_v1_20;
              a1_v1_17=v1_18*a1_v1_19; a1_v1_18=v1_17*a1_v1_19;
              a1_var_r3=a1_var_r3+a1_v1_18;
              a1_var_k3=a1_var_k3+a1_v1_17;
              a1_v1_10=a1_v1_16; a1_v1_15=0-a1_v1_16;
              a1_v1_13=v1_14*a1_v1_15; a1_v1_14=v1_13*a1_v1_15;
              a1_var_r2=a1_var_r2+a1_v1_14;
              a1_v1_11=v1_12*a1_v1_13; a1_v1_12=v1_11*a1_v1_13;
              a1_var_k2=a1_var_k2+a1_v1_12;
              a1_var_div13=a1_var_div13+a1_v1_11;
              a1_v1_4=a1_v1_10; a1_v1_9=a1_v1_10;
              a1_v1_7=v1_8*a1_v1_9; a1_v1_8=v1_7*a1_v1_9;
              a1_var_r1=a1_var_r1+a1_v1_8;
              a1_v1_5=v1_6*a1_v1_7; a1_v1_6=v1_5*a1_v1_7;
              a1_var_k1=a1_var_k1+a1_v1_6;
              a1_var_div12=a1_var_div12+a1_v1_5;
              a1_v1_3=-a1_v1_4;
              a1_v1_1=v1_2*a1_v1_3; a1_v1_2=v1_1*a1_v1_3;
              a1_var_div9=a1_var_div9+a1_v1_2;
              a1_var_rhoC=a1_var_rhoC+a1_v1_1;
              a1_der_var_rhoC=a1_der_var_rhoC+a1_v1_0;
              bmode_1=1; // restore and joint reversal
          a1_acs_div(bmode_1,var_MC,a1_var_MC,var_MB,a1_var_MB,var_div13,a1_var_div13);
              bmode_1=1; // restore and joint reversal
          a1_acs_div(bmode_1,var_MC,a1_var_MC,var_MA,a1_var_MA,var_div12,a1_var_div12);
              bmode_1=1; // restore and joint reversal
          a1_acs_div(bmode_1,var_i_expr10,a1_var_i_expr10,var_i_expr11,a1_var_i_expr11,var_div9,a1_var_div9);
              acs_fds_c=acs_fds_c-1; var_i_expr11=acs_fds[acs_fds_c];
              v1_0=var_Fscal;
              v1_1=var_V;
              v1_2=v1_0*v1_1;
              v1_3=v1_2;
              a1_v1_3=a1_var_i_expr11; a1_var_i_expr11=0;
              a1_v1_2=a1_v1_3;
              a1_v1_0=v1_1*a1_v1_2; a1_v1_1=v1_0*a1_v1_2;
              a1_var_V=a1_var_V+a1_v1_1;
              a1_var_Fscal=a1_var_Fscal+a1_v1_0;
              acs_fds_c=acs_fds_c-1; var_i_expr10=acs_fds[acs_fds_c];
              v1_0=par_FbinCur;
              v1_1=par_FainCur;
              v1_2=v1_0+v1_1;
              v1_3=v1_2;
              a1_v1_3=a1_var_i_expr10; a1_var_i_expr10=0;
              a1_v1_2=a1_v1_3;
              a1_v1_0=a1_v1_2; a1_v1_1=a1_v1_2;
              a1_par_FainCur=a1_par_FainCur+a1_v1_1;
              a1_par_FbinCur=a1_par_FbinCur+a1_v1_0;
              acs_ids_c=acs_ids_c-1; i_E=acs_ids[acs_ids_c];
              acs_fds_c=acs_fds_c-1; yy[i_E]=acs_fds[acs_fds_c];
              v1_0=der_var_rhoB;
              v1_1=var_div4;
              v1_2=var_rhoB;
              v1_3=var_div6;
              v1_4=v1_2*v1_3;
              v1_5=v1_1-v1_4;
              v1_6=var_k1;
              v1_7=var_r1;
              v1_8=v1_6*v1_7;
              v1_9=v1_5-v1_8;
              v1_10=var_k2;
              v1_11=var_r2;
              v1_12=v1_10*v1_11;
              v1_13=v1_9-v1_12;
              v1_14=v1_13;
              v1_15=v1_0-v1_14;
              a1_v1_15=a1_yy[i_E]; a1_yy[i_E]=0;
              a1_v1_0=a1_v1_15; a1_v1_14=0-a1_v1_15;
              a1_v1_13=a1_v1_14;
              a1_v1_9=a1_v1_13; a1_v1_12=0-a1_v1_13;
              a1_v1_10=v1_11*a1_v1_12; a1_v1_11=v1_10*a1_v1_12;
              a1_var_r2=a1_var_r2+a1_v1_11;
              a1_var_k2=a1_var_k2+a1_v1_10;
              a1_v1_5=a1_v1_9; a1_v1_8=0-a1_v1_9;
              a1_v1_6=v1_7*a1_v1_8; a1_v1_7=v1_6*a1_v1_8;
              a1_var_r1=a1_var_r1+a1_v1_7;
              a1_var_k1=a1_var_k1+a1_v1_6;
              a1_v1_1=a1_v1_5; a1_v1_4=0-a1_v1_5;
              a1_v1_2=v1_3*a1_v1_4; a1_v1_3=v1_2*a1_v1_4;
              a1_var_div6=a1_var_div6+a1_v1_3;
              a1_var_rhoB=a1_var_rhoB+a1_v1_2;
              a1_var_div4=a1_var_div4+a1_v1_1;
              a1_der_var_rhoB=a1_der_var_rhoB+a1_v1_0;
              bmode_1=1; // restore and joint reversal
          a1_acs_div(bmode_1,var_i_expr7,a1_var_i_expr7,var_i_expr8,a1_var_i_expr8,var_div6,a1_var_div6);
              acs_fds_c=acs_fds_c-1; var_i_expr8=acs_fds[acs_fds_c];
              v1_0=var_Fscal;
              v1_1=var_V;
              v1_2=v1_0*v1_1;
              v1_3=v1_2;
              a1_v1_3=a1_var_i_expr8; a1_var_i_expr8=0;
              a1_v1_2=a1_v1_3;
              a1_v1_0=v1_1*a1_v1_2; a1_v1_1=v1_0*a1_v1_2;
              a1_var_V=a1_var_V+a1_v1_1;
              a1_var_Fscal=a1_var_Fscal+a1_v1_0;
              acs_fds_c=acs_fds_c-1; var_i_expr7=acs_fds[acs_fds_c];
              v1_0=par_FbinCur;
              v1_1=par_FainCur;
              v1_2=v1_0+v1_1;
              v1_3=v1_2;
              a1_v1_3=a1_var_i_expr7; a1_var_i_expr7=0;
              a1_v1_2=a1_v1_3;
              a1_v1_0=a1_v1_2; a1_v1_1=a1_v1_2;
              a1_par_FainCur=a1_par_FainCur+a1_v1_1;
              a1_par_FbinCur=a1_par_FbinCur+a1_v1_0;
              bmode_1=1; // restore and joint reversal
          a1_acs_div(bmode_1,par_FbinCur,a1_par_FbinCur,var_i_expr5,a1_var_i_expr5,var_div4,a1_var_div4);
              acs_fds_c=acs_fds_c-1; var_i_expr5=acs_fds[acs_fds_c];
              v1_0=var_Fscal;
              v1_1=var_V;
              v1_2=v1_0*v1_1;
              v1_3=v1_2;
              a1_v1_3=a1_var_i_expr5; a1_var_i_expr5=0;
              a1_v1_2=a1_v1_3;
              a1_v1_0=v1_1*a1_v1_2; a1_v1_1=v1_0*a1_v1_2;
              a1_var_V=a1_var_V+a1_v1_1;
              a1_var_Fscal=a1_var_Fscal+a1_v1_0;
              acs_ids_c=acs_ids_c-1; i_E=acs_ids[acs_ids_c];
              acs_fds_c=acs_fds_c-1; yy[i_E]=acs_fds[acs_fds_c];
              v1_0=der_var_rhoA;
              v1_1=var_div0;
              v1_2=var_rhoA;
              v1_3=var_div1;
              v1_4=v1_2*v1_3;
              v1_5=v1_1-v1_4;
              v1_6=var_k1;
              v1_7=var_r1;
              v1_8=v1_6*v1_7;
              v1_9=v1_5-v1_8;
              v1_10=v1_9;
              v1_11=v1_0-v1_10;
              a1_v1_11=a1_yy[i_E]; a1_yy[i_E]=0;
              a1_v1_0=a1_v1_11; a1_v1_10=0-a1_v1_11;
              a1_v1_9=a1_v1_10;
              a1_v1_5=a1_v1_9; a1_v1_8=0-a1_v1_9;
              a1_v1_6=v1_7*a1_v1_8; a1_v1_7=v1_6*a1_v1_8;
              a1_var_r1=a1_var_r1+a1_v1_7;
              a1_var_k1=a1_var_k1+a1_v1_6;
              a1_v1_1=a1_v1_5; a1_v1_4=0-a1_v1_5;
              a1_v1_2=v1_3*a1_v1_4; a1_v1_3=v1_2*a1_v1_4;
              a1_var_div1=a1_var_div1+a1_v1_3;
              a1_var_rhoA=a1_var_rhoA+a1_v1_2;
              a1_var_div0=a1_var_div0+a1_v1_1;
              a1_der_var_rhoA=a1_der_var_rhoA+a1_v1_0;
              bmode_1=1; // restore and joint reversal
          a1_acs_div(bmode_1,var_i_expr2,a1_var_i_expr2,var_i_expr3,a1_var_i_expr3,var_div1,a1_var_div1);
              acs_fds_c=acs_fds_c-1; var_i_expr3=acs_fds[acs_fds_c];
              v1_0=var_Fscal;
              v1_1=var_V;
              v1_2=v1_0*v1_1;
              v1_3=v1_2;
              a1_v1_3=a1_var_i_expr3; a1_var_i_expr3=0;
              a1_v1_2=a1_v1_3;
              a1_v1_0=v1_1*a1_v1_2; a1_v1_1=v1_0*a1_v1_2;
              a1_var_V=a1_var_V+a1_v1_1;
              a1_var_Fscal=a1_var_Fscal+a1_v1_0;
              acs_fds_c=acs_fds_c-1; var_i_expr2=acs_fds[acs_fds_c];
              v1_0=par_FbinCur;
              v1_1=par_FainCur;
              v1_2=v1_0+v1_1;
              v1_3=v1_2;
              a1_v1_3=a1_var_i_expr2; a1_var_i_expr2=0;
              a1_v1_2=a1_v1_3;
              a1_v1_0=a1_v1_2; a1_v1_1=a1_v1_2;
              a1_par_FainCur=a1_par_FainCur+a1_v1_1;
              a1_par_FbinCur=a1_par_FbinCur+a1_v1_0;
              bmode_1=1; // restore and joint reversal
          a1_acs_div(bmode_1,par_FainCur,a1_par_FainCur,var_i_expr,a1_var_i_expr,var_div0,a1_var_div0);
              acs_fds_c=acs_fds_c-1; var_i_expr=acs_fds[acs_fds_c];
              v1_0=var_Fscal;
              v1_1=var_V;
              v1_2=v1_0*v1_1;
              v1_3=v1_2;
              a1_v1_3=a1_var_i_expr; a1_var_i_expr=0;
              a1_v1_2=a1_v1_3;
              a1_v1_0=v1_1*a1_v1_2; a1_v1_1=v1_0*a1_v1_2;
              a1_var_V=a1_var_V+a1_v1_1;
              a1_var_Fscal=a1_var_Fscal+a1_v1_0;
              acs_fds_c=acs_fds_c-1; der_var_r3=acs_fds[acs_fds_c];
              v1_0=der_x[11];
              a1_v1_0=a1_der_var_r3; a1_der_var_r3=0;
              a1_der_x[11]=a1_der_x[11]+a1_v1_0;
              acs_fds_c=acs_fds_c-1; var_r3=acs_fds[acs_fds_c];
              v1_0=x[11];
              a1_v1_0=a1_var_r3; a1_var_r3=0;
              a1_x[11]=a1_x[11]+a1_v1_0;
              acs_fds_c=acs_fds_c-1; der_var_r2=acs_fds[acs_fds_c];
              v1_0=der_x[10];
              a1_v1_0=a1_der_var_r2; a1_der_var_r2=0;
              a1_der_x[10]=a1_der_x[10]+a1_v1_0;
              acs_fds_c=acs_fds_c-1; var_r2=acs_fds[acs_fds_c];
              v1_0=x[10];
              a1_v1_0=a1_var_r2; a1_var_r2=0;
              a1_x[10]=a1_x[10]+a1_v1_0;
              acs_fds_c=acs_fds_c-1; der_var_r1=acs_fds[acs_fds_c];
              v1_0=der_x[9];
              a1_v1_0=a1_der_var_r1; a1_der_var_r1=0;
              a1_der_x[9]=a1_der_x[9]+a1_v1_0;
              acs_fds_c=acs_fds_c-1; var_r1=acs_fds[acs_fds_c];
              v1_0=x[9];
              a1_v1_0=a1_var_r1; a1_var_r1=0;
              a1_x[9]=a1_x[9]+a1_v1_0;
              acs_fds_c=acs_fds_c-1; der_var_phi=acs_fds[acs_fds_c];
              v1_0=der_x[8];
              a1_v1_0=a1_der_var_phi; a1_der_var_phi=0;
              a1_der_x[8]=a1_der_x[8]+a1_v1_0;
              acs_fds_c=acs_fds_c-1; var_phi=acs_fds[acs_fds_c];
              v1_0=x[8];
              a1_v1_0=a1_var_phi; a1_var_phi=0;
              a1_x[8]=a1_x[8]+a1_v1_0;
              acs_fds_c=acs_fds_c-1; der_var_V=acs_fds[acs_fds_c];
              v1_0=der_x[7];
              a1_v1_0=a1_der_var_V; a1_der_var_V=0;
              a1_der_x[7]=a1_der_x[7]+a1_v1_0;
              acs_fds_c=acs_fds_c-1; var_V=acs_fds[acs_fds_c];
              v1_0=x[7];
              a1_v1_0=a1_var_V; a1_var_V=0;
              a1_x[7]=a1_x[7]+a1_v1_0;
              acs_fds_c=acs_fds_c-1; der_var_TR=acs_fds[acs_fds_c];
              v1_0=der_x[6];
              a1_v1_0=a1_der_var_TR; a1_der_var_TR=0;
              a1_der_x[6]=a1_der_x[6]+a1_v1_0;
              acs_fds_c=acs_fds_c-1; var_TR=acs_fds[acs_fds_c];
              v1_0=x[6];
              a1_v1_0=a1_var_TR; a1_var_TR=0;
              a1_x[6]=a1_x[6]+a1_v1_0;
              acs_fds_c=acs_fds_c-1; der_var_rhoP=acs_fds[acs_fds_c];
              v1_0=der_x[5];
              a1_v1_0=a1_der_var_rhoP; a1_der_var_rhoP=0;
              a1_der_x[5]=a1_der_x[5]+a1_v1_0;
              acs_fds_c=acs_fds_c-1; var_rhoP=acs_fds[acs_fds_c];
              v1_0=x[5];
              a1_v1_0=a1_var_rhoP; a1_var_rhoP=0;
              a1_x[5]=a1_x[5]+a1_v1_0;
              acs_fds_c=acs_fds_c-1; der_var_rhoG=acs_fds[acs_fds_c];
              v1_0=der_x[4];
              a1_v1_0=a1_der_var_rhoG; a1_der_var_rhoG=0;
              a1_der_x[4]=a1_der_x[4]+a1_v1_0;
              acs_fds_c=acs_fds_c-1; var_rhoG=acs_fds[acs_fds_c];
              v1_0=x[4];
              a1_v1_0=a1_var_rhoG; a1_var_rhoG=0;
              a1_x[4]=a1_x[4]+a1_v1_0;
              acs_fds_c=acs_fds_c-1; der_var_rhoE=acs_fds[acs_fds_c];
              v1_0=der_x[3];
              a1_v1_0=a1_der_var_rhoE; a1_der_var_rhoE=0;
              a1_der_x[3]=a1_der_x[3]+a1_v1_0;
              acs_fds_c=acs_fds_c-1; var_rhoE=acs_fds[acs_fds_c];
              v1_0=x[3];
              a1_v1_0=a1_var_rhoE; a1_var_rhoE=0;
              a1_x[3]=a1_x[3]+a1_v1_0;
              acs_fds_c=acs_fds_c-1; der_var_rhoC=acs_fds[acs_fds_c];
              v1_0=der_x[2];
              a1_v1_0=a1_der_var_rhoC; a1_der_var_rhoC=0;
              a1_der_x[2]=a1_der_x[2]+a1_v1_0;
              acs_fds_c=acs_fds_c-1; var_rhoC=acs_fds[acs_fds_c];
              v1_0=x[2];
              a1_v1_0=a1_var_rhoC; a1_var_rhoC=0;
              a1_x[2]=a1_x[2]+a1_v1_0;
              acs_fds_c=acs_fds_c-1; der_var_rhoB=acs_fds[acs_fds_c];
              v1_0=der_x[1];
              a1_v1_0=a1_der_var_rhoB; a1_der_var_rhoB=0;
              a1_der_x[1]=a1_der_x[1]+a1_v1_0;
              acs_fds_c=acs_fds_c-1; var_rhoB=acs_fds[acs_fds_c];
              v1_0=x[1];
              a1_v1_0=a1_var_rhoB; a1_var_rhoB=0;
              a1_x[1]=a1_x[1]+a1_v1_0;
              acs_fds_c=acs_fds_c-1; der_var_rhoA=acs_fds[acs_fds_c];
              v1_0=der_x[0];
              a1_v1_0=a1_der_var_rhoA; a1_der_var_rhoA=0;
              a1_der_x[0]=a1_der_x[0]+a1_v1_0;
              acs_fds_c=acs_fds_c-1; var_rhoA=acs_fds[acs_fds_c];
              v1_0=x[0];
              a1_v1_0=a1_var_rhoA; a1_var_rhoA=0;
              a1_x[0]=a1_x[0]+a1_v1_0;
              acs_fds_c=acs_fds_c-1; par_FinalTime=acs_fds[acs_fds_c];
              v1_0=p[3];
              a1_v1_0=a1_par_FinalTime; a1_par_FinalTime=0;
              a1_p[3]=a1_p[3]+a1_v1_0;
              acs_fds_c=acs_fds_c-1; par_FainCur=acs_fds[acs_fds_c];
              v1_0=p[2];
              a1_v1_0=a1_par_FainCur; a1_par_FainCur=0;
              a1_p[2]=a1_p[2]+a1_v1_0;
              acs_fds_c=acs_fds_c-1; par_FbinCur=acs_fds[acs_fds_c];
              v1_0=p[1];
              a1_v1_0=a1_par_FbinCur; a1_par_FbinCur=0;
              a1_p[1]=a1_p[1]+a1_v1_0;
              acs_fds_c=acs_fds_c-1; par_TwCur=acs_fds[acs_fds_c];
              v1_0=p[0];
              a1_v1_0=a1_par_TwCur; a1_par_TwCur=0;
              a1_p[0]=a1_p[0]+a1_v1_0;
              acs_fds_c=acs_fds_c-1; var_U=acs_fds[acs_fds_c];
              v1_0=0.23082;
              a1_v1_0=a1_var_U; a1_var_U=0;
              acs_fds_c=acs_fds_c-1; var_mref=acs_fds[acs_fds_c];
              v1_0=2105.2;
              a1_v1_0=a1_var_mref; a1_var_mref=0;
              acs_fds_c=acs_fds_c-1; var_Aref=acs_fds[acs_fds_c];
              v1_0=9.2903;
              a1_v1_0=a1_var_Aref; a1_var_Aref=0;
              acs_fds_c=acs_fds_c-1; var_cRevE=acs_fds[acs_fds_c];
              v1_0=125.91;
              a1_v1_0=a1_var_cRevE; a1_var_cRevE=0;
              acs_fds_c=acs_fds_c-1; var_cRevP=acs_fds[acs_fds_c];
              v1_0=5554.1;
              a1_v1_0=a1_var_cRevP; a1_var_cRevP=0;
              acs_fds_c=acs_fds_c-1; var_CP=acs_fds[acs_fds_c];
              v1_0=4.184;
              a1_v1_0=a1_var_CP; a1_var_CP=0;
              acs_fds_c=acs_fds_c-1; var_DH3=acs_fds[acs_fds_c];
              v1_0=226.3;
              v1_1=-v1_0;
              a1_v1_1=a1_var_DH3; a1_var_DH3=0;
              a1_v1_0=-a1_v1_1;
              acs_fds_c=acs_fds_c-1; var_DH2=acs_fds[acs_fds_c];
              v1_0=158.3;
              v1_1=-v1_0;
              a1_v1_1=a1_var_DH2; a1_var_DH2=0;
              a1_v1_0=-a1_v1_1;
              acs_fds_c=acs_fds_c-1; var_DH1=acs_fds[acs_fds_c];
              v1_0=263.8;
              v1_1=-v1_0;
              a1_v1_1=a1_var_DH1; a1_var_DH1=0;
              a1_v1_0=-a1_v1_1;
              acs_fds_c=acs_fds_c-1; var_E3=acs_fds[acs_fds_c];
              v1_0=11111;
              v1_1=-v1_0;
              a1_v1_1=a1_var_E3; a1_var_E3=0;
              a1_v1_0=-a1_v1_1;
              acs_fds_c=acs_fds_c-1; var_E2=acs_fds[acs_fds_c];
              v1_0=8333.3;
              v1_1=-v1_0;
              a1_v1_1=a1_var_E2; a1_var_E2=0;
              a1_v1_0=-a1_v1_1;
              acs_fds_c=acs_fds_c-1; var_E1=acs_fds[acs_fds_c];
              v1_0=6666.7;
              v1_1=-v1_0;
              a1_v1_1=a1_var_E1; a1_var_E1=0;
              a1_v1_0=-a1_v1_1;
              acs_fds_c=acs_fds_c-1; var_k3=acs_fds[acs_fds_c];
              v1_0=2.6745e+12;
              a1_v1_0=a1_var_k3; a1_var_k3=0;
              acs_fds_c=acs_fds_c-1; var_k2=acs_fds[acs_fds_c];
              v1_0=7.2117e+08;
              a1_v1_0=a1_var_k2; a1_var_k2=0;
              acs_fds_c=acs_fds_c-1; var_k1=acs_fds[acs_fds_c];
              v1_0=1.6599e+06;
              a1_v1_0=a1_var_k1; a1_var_k1=0;
              acs_fds_c=acs_fds_c-1; var_MP=acs_fds[acs_fds_c];
              v1_0=100;
              a1_v1_0=a1_var_MP; a1_var_MP=0;
              acs_fds_c=acs_fds_c-1; var_MG=acs_fds[acs_fds_c];
              v1_0=300;
              a1_v1_0=a1_var_MG; a1_var_MG=0;
              acs_fds_c=acs_fds_c-1; var_ME=acs_fds[acs_fds_c];
              v1_0=200;
              a1_v1_0=a1_var_ME; a1_var_ME=0;
              acs_fds_c=acs_fds_c-1; var_MC=acs_fds[acs_fds_c];
              v1_0=200;
              a1_v1_0=a1_var_MC; a1_var_MC=0;
              acs_fds_c=acs_fds_c-1; var_MB=acs_fds[acs_fds_c];
              v1_0=100;
              a1_v1_0=a1_var_MB; a1_var_MB=0;
              acs_fds_c=acs_fds_c-1; var_MA=acs_fds[acs_fds_c];
              v1_0=100;
              a1_v1_0=a1_var_MA; a1_var_MA=0;
              acs_fds_c=acs_fds_c-1; var_Fscal=acs_fds[acs_fds_c];
              v1_0=1000;
              a1_v1_0=a1_var_Fscal; a1_var_Fscal=0;
              acs_fds_c=acs_fds_c-1; var_b2=acs_fds[acs_fds_c];
              v1_0=6.6667;
              a1_v1_0=a1_var_b2; a1_var_b2=0;
              acs_fds_c=acs_fds_c-1; var_TK0=acs_fds[acs_fds_c];
              v1_0=273.15;
              a1_v1_0=a1_var_TK0; a1_var_TK0=0;
              acs_fds_c=acs_fds_c-1; var_TwMax=acs_fds[acs_fds_c];
              v1_0=100;
              a1_v1_0=a1_var_TwMax; a1_var_TwMax=0;
              acs_fds_c=acs_fds_c-1; var_TwMin=acs_fds[acs_fds_c];
              v1_0=20;
              a1_v1_0=a1_var_TwMin; a1_var_TwMin=0;
              acs_fds_c=acs_fds_c-1; var_FbinMax=acs_fds[acs_fds_c];
              v1_0=5.784;
              a1_v1_0=a1_var_FbinMax; a1_var_FbinMax=0;
              acs_fds_c=acs_fds_c-1; var_FbinMin=acs_fds[acs_fds_c];
              v1_0=0;
              a1_v1_0=a1_var_FbinMin; a1_var_FbinMin=0;
              acs_fds_c=acs_fds_c-1; var_Tin=acs_fds[acs_fds_c];
              v1_0=35;
              a1_v1_0=a1_var_Tin; a1_var_Tin=0;
              acs_fds_c=acs_fds_c-1; var_n_x=acs_fds[acs_fds_c];
              v1_0=9;
              a1_v1_0=a1_var_n_x; a1_var_n_x=0;
            }
          }
       }
       if (bmode_1==2) {
          res(yy, der_x, x, p, condit, lock, prev, n_x, n_p, n_c);
       }
}
